package org.xbib.files;

import java.net.URI;
import java.util.Map;

public class DefaultFileServiceProvider implements FileServiceProvider {
    @Override
    public FileService provide(URI uri, Map<String, ?> env) {
        return !uri.isAbsolute() || uri.getScheme().equals("file") ?  new DefaultFileService(uri, env) : null;
    }
}
